//  Master 
//  receiving data of slave w/ phototransistor
//  sending data to slave w/ green LED (PWM)

#include <TinyWireM.h>
#include <SoftwareSerial.h>

#define SlaveP 0x26
#define SlaveRGB 0x48

byte DataP = 0;

SoftwareSerial mySerial(3, 4);

void setup() {
  OSCCAL= 0x99;
  TinyWireM.begin();
  pinMode(3, INPUT);
  pinMode(4, OUTPUT);
  mySerial.begin(9600);
}

void loop() {
//  receiving data from slave w/ phototransistor
  if(TinyWireM.requestFrom(0x26, 1) > 0) {
    DataP = TinyWireM.receive();
    mySerial.println(DataP);
//  sending data to slave w/ green LED
  TinyWireM.beginTransmission(0x48);
  TinyWireM.send(DataP);
  TinyWireM.endTransmission();
}
